From a099b1f771cb706513966cd6f76fb934eaabdd0d Mon Sep 17 00:00:00 2001
From: yomguy <>
Date: Wed, 30 Jun 2010 13:14:44 +0000
Subject: [PATCH] rearrange conf files again
---
conf/etc/apache2/default | 60 ++++
conf/etc/defaut/jackd | 9 +
conf/etc/defaut/vncserver | 12 +
conf/etc/init.d/jackd | 82 +++++
conf/etc/init.d/vncserver | 132 ++++++++
conf/etc/telecaster/sessions.xml | 299 ++++++++++++++++++
conf/etc/telecaster/telecaster.xml | 37 +++
conf/etc/telecaster/telecaster_edcast_mp3.cfg | 52 +++
conf/home/fluxbox/autostart.sh | 16 +
conf/home/jack-rack/eq_comp_limit_02.rack | Bin 0 -> 542 bytes
conf/home/vncserver/xstartup | 16 +
11 files changed, 715 insertions(+)
create mode 100644 conf/etc/apache2/default
create mode 100644 conf/etc/defaut/jackd
create mode 100644 conf/etc/defaut/vncserver
create mode 100755 conf/etc/init.d/jackd
create mode 100755 conf/etc/init.d/vncserver
create mode 100644 conf/etc/telecaster/sessions.xml
create mode 100644 conf/etc/telecaster/telecaster.xml
create mode 100644 conf/etc/telecaster/telecaster_edcast_mp3.cfg
create mode 100755 conf/home/fluxbox/autostart.sh
create mode 100644 conf/home/jack-rack/eq_comp_limit_02.rack
create mode 100755 conf/home/vncserver/xstartup
diff --git a/conf/etc/apache2/default b/conf/etc/apache2/default
new file mode 100644
index 0000000..40e1bb3
--- /dev/null
+++ b/conf/etc/apache2/default
@@ -0,0 +1,60 @@
+#NameVirtualHost *:80
+
+ ServerAdmin webmaster@localhost
+ ServerName telecaster-04.parisson.com
+ DocumentRoot /var/www/
+ SuexecUserGroup prebarreau prebarreau
+
+
+ Options FollowSymLinks
+ AllowOverride all
+
+
+ Options Indexes FollowSymLinks MultiViews
+ AllowOverride all
+ Order allow,deny
+ allow from all
+ # This directive allows us to have apache2's default start page
+ # in /apache2-default/, but still have / go to the right place
+ RedirectMatch ^/$ /telecaster/telecaster.py
+
+
+ ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
+
+ AllowOverride None
+ Options ExecCGI -MultiViews +SymLinksIfOwnerMatch
+ Order allow,deny
+ Allow from all
+
+
+ ErrorLog /var/log/apache2/error.log
+
+ # Possible values include: debug, info, notice, warn, error, crit,
+ # alert, emerg.
+ LogLevel warn
+
+ CustomLog /var/log/apache2/access.log combined
+ ServerSignature On
+
+ Alias /doc/ "/usr/share/doc/"
+
+ Options Indexes MultiViews FollowSymLinks
+ AllowOverride None
+ Order deny,allow
+ Deny from all
+ Allow from 127.0.0.0/255.0.0.0 ::1/128
+
+
+Alias /telecaster/ /var/www/telecaster/
+
+ AllowOverride All
+ AddHandler cgi-script cgi py
+ Options ExecCGI
+ Order allow,deny
+ Allow from all
+
+
+Alias favicon.ico /var/www/favicon.ico
+#Alias /telecaster/favicon.ico /var/www/favicon.ico
+
+
diff --git a/conf/etc/defaut/jackd b/conf/etc/defaut/jackd
new file mode 100644
index 0000000..54f0848
--- /dev/null
+++ b/conf/etc/defaut/jackd
@@ -0,0 +1,9 @@
+# Set to "yes" to start jackd at boot
+START_DAEMON=yes
+
+# The jackd process will run under this user
+USER=prebarreau
+
+# Options to pass to jackd
+OPTIONS="-R -P70 -dalsa -r48000 -p1024 -n3 -D -Chw:0,1 -Phw:0,1 "
+
diff --git a/conf/etc/defaut/vncserver b/conf/etc/defaut/vncserver
new file mode 100644
index 0000000..1d53129
--- /dev/null
+++ b/conf/etc/defaut/vncserver
@@ -0,0 +1,12 @@
+# Set to "yes" to start vncserver at boot
+START_DAEMON=yes
+
+# The vncserver process will run under this user
+USER=prebarreau
+
+# The vncserver port (i.e. 2 for 5902)
+PORT="1"
+
+# Options to pass to vncserver
+OPTIONS="-geometry 1024x768 -depth 8"
+
diff --git a/conf/etc/init.d/jackd b/conf/etc/init.d/jackd
new file mode 100755
index 0000000..31d9047
--- /dev/null
+++ b/conf/etc/init.d/jackd
@@ -0,0 +1,82 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: jackd
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: init-Script for system wide fetchmail daemon
+### END INIT INFO
+
+
+DAEMON=/usr/bin/jackd
+USER=
+OPTIONS=""
+LOG=/var/log/jackd.log
+PIDFILE=/var/run/jackd.pid
+
+test -f /etc/default/jackd || exit 0
+. /etc/default/jackd
+
+JACKDHOME=/home/$USER
+
+if [ ! "x$START_DAEMON" = "xyes" -a ! "$1" = "stop" ]; then
+ echo "Edit /etc/default/jackd to start jackd"
+ exit 0
+fi
+
+test -f $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+case "$1" in
+ start)
+ log_begin_msg "Starting jackd audio server:" "jackd"
+ echo $DAEMON $OPTIONS ' &' > $JACKDHOME/.jackdinit
+ chmod +x $JACKDHOME/.jackdinit
+ su -c $JACKDHOME/.jackdinit $USER > ${LOG}
+ sleep 2
+ pid=`pgrep -u ${USER} jackd`
+ if [ pid = '' ]; then
+ log_failure_msg "JACK daemon can't be started! Check logfile: ${LOG}"
+ else
+ echo $pid > $PIDFILE
+ fi
+
+ ;;
+ stop)
+ log_begin_msg "Stopping jackd audio server:" "jackd"
+ pid=`cat $PIDFILE | sed -e 's/\s.*//'|head -n1`
+ if [ ! pid = '' ]; then
+ kill -9 $pid
+ log_end_msg 0
+ else
+ log_end_msg 1
+ exit 1
+ fi
+ rm $PIDFILE
+ ;;
+ try-restart)
+ if test -e $PIDFILE ; then
+ pid=`cat $PIDFILE | sed -e 's/\s.*//'|head -n1`
+ PIDDIR=/proc/$pid
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ $0 restart
+ exit 0
+ fi
+ fi
+ test -f /etc/rc`/sbin/runlevel | cut -d' ' -f2`.d/S*jackd* && $0 start
+ ;;
+
+ *)
+ log_warning_msg "Usage: /etc/init.d/jackd {start|stop|restart|force-reload|awaken|debug-run}"
+ log_warning_msg " start - starts system-wide jackd service"
+ log_warning_msg " stop - stops system-wide jackd service"
+ log_warning_msg " restart, force-reload - starts a new system-wide jackd service"
+ log_warning_msg " awaken - tell system-wide jackd to start a poll cycle immediately"
+ log_warning_msg " debug-run [strace [strace options...]] - start a debug run of the"
+ log_warning_msg " system-wide jackd service, optionally running it under strace"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/conf/etc/init.d/vncserver b/conf/etc/init.d/vncserver
new file mode 100755
index 0000000..24bdff1
--- /dev/null
+++ b/conf/etc/init.d/vncserver
@@ -0,0 +1,132 @@
+#!/bin/sh
+#
+# VNCserver init script
+#
+### BEGIN INIT INFO
+# Provides: vncserver
+# Required-Start: $network $local_fs $remote_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: init-Script for system wide fetchmail daemon
+### END INIT INFO
+#
+# A fetchmailrc file containg hosts and passwords for all local users should be
+# placed in /etc/fetchmailrc. Remember to make the /etc/fetchmailrc mode 600
+# to avoid disclosing the users' passwords.
+#
+# This script will NOT start or stop fetchmail if the /etc/fetchmailrc file
+# does not exist or /etc/default/fetchmail is set to no.
+
+# Defaults
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
+DAEMON=/usr/bin/vncserver
+USER=
+PORT=
+OPTIONS=""
+
+. /lib/lsb/init-functions
+
+test -f /etc/default/vncserver || exit 0
+. /etc/default/vncserver
+
+OPTIONS="$OPTIONS"
+
+PIDFILE="/var/run/vncserver.pid"
+
+if [ ! "x$START_DAEMON" = "xyes" -a ! "$1" = "stop" ]; then
+ echo "Edit /etc/default/vncserver to start vncserver"
+ exit 0
+fi
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ if test -e $PIDFILE ; then
+ pid=`cat $PIDFILE | sed -e 's/\s.*//'|head -n1`
+ PIDDIR=/proc/$pid
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ log_failure_msg "vncserver already started; not starting."
+ exit 0
+ else
+ log_warning_msg "Removing stale PID file $PIDFILE."
+ rm -f $PIDFILE
+ fi
+ fi
+ log_begin_msg "Starting vncserver audio server:" "vncserver"
+ if start-stop-daemon -m -b -S -o -q -p $PIDFILE -x $DAEMON -u $USER -c $USER -a $DAEMON -- $OPTIONS :$PORT; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ exit 1
+ fi
+ ;;
+ stop)
+ if ! test -e $PIDFILE ; then
+ log_failure_msg "Pidfile not found! Is vncserver running?"
+ exit 0
+ fi
+ log_begin_msg "Stopping vncserver:" "vncserver"
+ if start-stop-daemon -m -K -o -q -p $PIDFILE -x $DAEMON -u $USER; then
+ $DAEMON -kill :$PORT
+ rm -f $PIDFILE
+ log_end_msg 0
+ else
+ rm -f $PIDFILE
+ log_end_msg 1
+ exit 1
+ fi
+ ;;
+ force-reload|restart)
+ log_begin_msg "Restarting vncserver:" "vncserver"
+ if ! start-stop-daemon -m -K -o -q -p $PIDFILE -x $DAEMON -u $USER; then
+ log_end_msg 1
+ exit 1
+ fi
+ sleep 1
+ rm -f $PIDFILE || true
+ if start-stop-daemon -m -b -S -o -q -p $PIDFILE -x $DAEMON -u $USER -c $USER -a $DAEMON -- $OPTIONS; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ exit 1
+ fi
+ ;;
+ try-restart)
+ if test -e $PIDFILE ; then
+ pid=`cat $PIDFILE | sed -e 's/\s.*//'|head -n1`
+ PIDDIR=/proc/$pid
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ $0 restart
+ exit 0
+ fi
+ fi
+ test -f /etc/rc`/sbin/runlevel | cut -d' ' -f2`.d/S*vncserver* && $0 start
+ ;;
+ awaken)
+ log_begin_msg "Awakening vncserver:" "vncserver"
+ if [ -s $PIDFILE ]; then
+ start-stop-daemon -K -s 10 -q -p $PIDFILE -x $DAEMON
+ log_end_msg 0
+ exit 0
+ else
+ log_end_msg 1
+ exit 1
+ fi
+ ;;
+ *)
+ log_warning_msg "Usage: /etc/init.d/vncserver {start|stop|restart|force-reload|awaken|debug-run}"
+ log_warning_msg " start - starts system-wide vncserver service"
+ log_warning_msg " stop - stops system-wide vncserver service"
+ log_warning_msg " restart, force-reload - starts a new system-wide vncserver service"
+ log_warning_msg " awaken - tell system-wide vncserver to start a poll cycle immediately"
+ log_warning_msg " debug-run [strace [strace options...]] - start a debug run of the"
+ log_warning_msg " system-wide vncserver service, optionally running it under strace"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/conf/etc/telecaster/sessions.xml b/conf/etc/telecaster/sessions.xml
new file mode 100644
index 0000000..630b3f7
--- /dev/null
+++ b/conf/etc/telecaster/sessions.xml
@@ -0,0 +1,299 @@
+
+ telecaster-04.parisson.com
+ Pre-Barreau
+ 8000
+ mp3
+
+
+ CRFPA
+
+
+ Droit_administratif_Corrections
+
+
+ Droit_administratif_Cours
+
+
+ Droit_des_obligations_Corrections
+
+
+ Droit_des_obligations_Cours
+
+
+ Droit_commercial_des_affaires_Corrections
+
+
+ Droit_commercial_des_affaires_Cours
+
+
+ Droit_communautaire_et_europeen_Corrections
+
+
+ Droit_communautaire_et_europeen_Cours
+
+
+ Droit_de_la_famille_et_des_personnes_Corrections
+
+
+ Droit_de_la_famille_et_des_personnes_Cours
+
+
+ Droit_du_travail_Corrections
+
+
+ Droit_du_travail_Cours
+
+
+ Droit_fiscal_Corrections
+
+
+ Droit_fiscal_Cours
+
+
+ Droit_international_prive_Corrections
+
+
+ Droit_international_prive_Cours
+
+
+ Droit_patrimonial_Corrections
+
+
+ Droit_patrimonial_Cours
+
+
+ Droit_public_des_activites_economiques_Corrections
+
+
+ Droit_public_des_activites_economiques_Cours
+
+
+ Droit_penal_Corrections
+
+
+ Droit_penal_Cours
+
+
+ Droit_Libertes_publiques_Cours
+
+
+ Note_de_synthese_Corrections
+
+
+ Procedure_administrative_et_contentieuse_Corrections
+
+
+ Procedure_administrative_et_contentieuse_Cours
+
+
+ Procedure_civile_Corrections
+
+
+ Procedure_civile_Cours
+
+
+ Procedures_collectives_et_suretes_Corrections
+
+
+ Procedures_collectives_et_suretes_Cours
+
+
+ Procedure_penale_Corrections
+
+
+ Procedure_penale_Cours
+
+
+ TEST
+
+
+
+
+
+
+ AE
+
+
+ Administratif_Cours
+
+
+ Adm_Correction
+
+
+ Civil_Correction
+
+
+ Commercial_Correctio
+
+
+ Commercial_Cours
+
+
+ Deontologie_Cours
+
+
+ Droit civil - Cours
+
+
+ Methodo_Oraux
+
+
+ Penal_Correction
+
+
+ Penal_Cours
+
+
+ Procedures_Cours
+
+
+ Reunion_info
+
+
+ Social_Corrections
+
+
+ Social_Cours
+
+
+ REUNION
+
+
+ TEST
+
+
+
+
+
+ ENM
+
+
+ TEST
+
+
+ REUNION
+
+
+
+
+
+
+ FJP
+
+
+ Actualisation
+
+
+ TEST
+
+
+ REUNION
+
+
+
+
+
+ MARINHO A.
+
+
+ GIUSTINIANI G.
+
+
+ BOFFA R.
+
+
+ MEUNIER J.
+
+
+ THERY C.
+
+
+ JLB
+
+
+ AZZI T.
+
+
+ ETIENNEY A.
+
+
+ MARKUS J.
+
+
+ ANDREU L.
+
+
+ ROUMIER W.
+
+
+ HAIK R.
+
+
+ POISSON S.
+
+
+ CARTIER-BRESSON A.
+
+
+ MBONGO P.
+
+
+ MATHONNET P.
+
+
+ FOULQUIER N.
+
+
+ RILOV. F
+
+
+ JEANSEN E.
+
+
+ LA J.
+
+
+ MECARELLI G.
+
+
+ COLLET M.
+
+
+ GILBERT S.
+
+
+ VIAL C.
+
+
+ PAGNERRE E.
+
+
+ PANOU C.
+
+
+ GILBERT S.
+
+
+ ROBBE S.
+
+
+
+ 1ere_sem
+ 2e_sem
+ 3e_sem
+ 4e_sem
+ 5e_sem
+ 6e_sem
+ 7e_sem
+ 8e_sem
+ 9e_sem
+ 10e_sem
+ 11e_sem
+ 12e_sem
+ 13e_sem
+ 14e_sem
+ 15e_sem
+ 16e_sem
+
+
+
diff --git a/conf/etc/telecaster/telecaster.xml b/conf/etc/telecaster/telecaster.xml
new file mode 100644
index 0000000..d4d1bd0
--- /dev/null
+++ b/conf/etc/telecaster/telecaster.xml
@@ -0,0 +1,37 @@
+
+
+ Pre-Barreau
+ Pre-Barreau
+ La preparation au Barreau de Paris
+ http:///telecaster-04.parisson.com
+ Other
+
+
+ localhost
+ 8000
+ source2parisson
+ 0
+ /var/www/telecaster/
+ /etc/telecaster/telecaster_edcast_mp3.cfg
+ lock/telecaster.lock
+ localhost/tmp/
+
+ /var/www/rss/
+
+
+
+ true
+ /home/pre-barreau/media
+ /home/pre-barreau/backup
+ mp3
+ 96
+ 1
+ 3
+ 44100
+
+
+
+ jack_rack:out_1
+
+
+
diff --git a/conf/etc/telecaster/telecaster_edcast_mp3.cfg b/conf/etc/telecaster/telecaster_edcast_mp3.cfg
new file mode 100644
index 0000000..60836bb
--- /dev/null
+++ b/conf/etc/telecaster/telecaster_edcast_mp3.cfg
@@ -0,0 +1,52 @@
+# Destination server details (to where you are encoding). Valid server types : Shoutcast, Icecast, Icecast2
+ServerType=Icecast2
+Server=localhost
+Port=8000
+ServerPassword=source2parisson
+ServerMountpoint=/stream.mp3
+# YP (Stream Directory) Settings
+ServerPublic=0
+ServerIRC=
+ServerAIM=
+ServerICQ=
+ServerStreamURL=http://www.pre-barreau.com
+ServerName=This is my server name
+ServerDescription=This is my server description
+ServerGenre=Teaching
+AutomaticReconnectSecs=10
+AutoConnect=0
+# Output codec selection (Valid selections : MP3, OggVorbis, Ogg FLAC, AAC, AAC Plus)
+Encode=MP3
+# General settings (non-codec related). Note : NumberChannels = 1 for MONO, 2 for STEREO
+BitrateNominal=64
+BitrateMin=32
+BitrateMax=128
+NumberChannels=1
+Samplerate=44100
+#
+SaveDirectoryFlag=1
+SaveDirectory=/home/pre-barreau/backup
+SaveAsWAV=0
+#
+# Ogg Vorbis specific settings. Note: Valid settings for BitrateQuality flag are (Quality, Bitrate Management)
+OggQuality=3
+OggBitrateQualityFlag=Quality
+# LAME specific settings. Note: Setting the low/highpass freq to 0 will disable them.
+LameCBRFlag=0
+LameQuality=5
+LameCopywrite=0
+LameOriginal=0
+LameStrictISO=0
+LameDisableReservior=0
+LameVBRMode=vbr_abr
+LameLowpassfreq=0
+LameHighpassfreq=0
+LAMEPreset=0
+# AAC (FAAC) specific settings.
+AACQuality=100
+AACCutoff=
+# Log Level 1 = LOG_ERROR, 2 = LOG_ERROR+LOG_WARNING, 3 = LOG_ERROR+LOG_WARNING+LOG_DEBUG
+LogLevel=1
+# Log File
+LogFile=/tmp/streamTranscoder_1
+
diff --git a/conf/home/fluxbox/autostart.sh b/conf/home/fluxbox/autostart.sh
new file mode 100755
index 0000000..0f0f367
--- /dev/null
+++ b/conf/home/fluxbox/autostart.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Ensure the XPATH variable is set appropriately to the Linux distribution's Xvfb installation path.
+
+pid=`pgrep jack-rack`
+
+if [ ! $pid = "" ]; then
+ sleep 1
+else
+ jack-rack -n /home/prebarreau/rack/comp_limit_2_02.rack &
+ sleep 10
+ jack_connect system:capture_1 jack_rack:in_1
+ jack_connect system:capture_2 jack_rack:in_2
+fi
+
+qjackctl &
+
diff --git a/conf/home/jack-rack/eq_comp_limit_02.rack b/conf/home/jack-rack/eq_comp_limit_02.rack
new file mode 100644
index 0000000000000000000000000000000000000000..abce668fea283b9ea0ccf92df799ffb9d4ad396e
GIT binary patch
literal 542
zcmV+(0^$81iwFP!000001MOEqZ<{a_zV}zKoE_|E8?Y;n9+n=bO=>PZMJ%{&Ru>{5
z?e_0yhong}j55S!Y9mFm-}`vqv)|{3QCGj7Oz^C$dQ}#mClHd!ReGU5&Axq^-+sRi
zerC(Z%Kn3!+nf3I*I@F{H0w)@oqg&YVSN`Cy1}#gY-?ON;{rk!=1o4aq4p8diy%)1K!>}hRul{Gr$f)Jwck;MVlW^=zP+|W)|c?ujX$PQYIF0vm+=jmN$
zYOU~o+B#o!v&gI8ixbeP`7PL#%SUT$s?8B}XMBr%&df&FtsRez_S
z7zvU{Ii#Jm4@@aV++{I*9TAd@#V|YvhD0J5gTVp7roaJ`{tIQlo~64Ty>C6A(Gz;5
gWFv4cIUgLs2Cx@%IJb-nA3ps40DtDx7-bFs05Nz8-T(jq
literal 0
HcmV?d00001
diff --git a/conf/home/vncserver/xstartup b/conf/home/vncserver/xstartup
new file mode 100755
index 0000000..416bd91
--- /dev/null
+++ b/conf/home/vncserver/xstartup
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Uncomment the following two lines for normal desktop:
+# unset SESSION_MANAGER
+# exec /etc/X11/xinit/xinitrc
+
+[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
+[ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources
+xsetroot -solid grey
+#xset s 0
+vncconfig -iconic &
+#x-terminal-emulator -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
+#x-window-manager &
+#jackd -R -dalsa -r44100 -p2048 -n4 -D -Chw:0,1 -Phw:0,1 -S &
+fluxbox &
+
--
2.39.5